"use strict";

exports.__esModule = true;
exports.default = inflate;

var _inflate = require("pako/lib/inflate");

var _base64Arraybuffer = require("base64-arraybuffer");

// Inflates a zipped/base64 encoded stream back into string-shape
function inflate(stream, to) {
  if (to === void 0) {
    to = 'string';
  }

  return (0, _inflate.inflate)((0, _base64Arraybuffer.decode)(stream), {
    raw: true,
    to: to
  });
}