"use strict";

exports.__esModule = true;
exports.default = pack;

var _deflate = require("pako/lib/deflate");

var _base64Arraybuffer = require("base64-arraybuffer");

// Packs ArrayBuffer into deflated base64 for ClassCAD stream consumption
function pack(buffer) {
  return (0, _base64Arraybuffer.encode)((0, _deflate.deflate)(buffer, {
    raw: true
  }));
}