"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = unpack;
exports.Unpack = void 0;

var _uuidV = _interopRequireDefault(require("uuid-v4"));

var _process = _interopRequireDefault(require("./process"));

var Unpack =
/*#__PURE__*/
function () {
  function Unpack() {}

  // Post message to worker
  Unpack.post = function post(obj, callback) {
    obj.parent = this.id;
    obj.task = (0, _uuidV.default)();
    (0, _process.default)(obj.type === 'Binary' ? obj : JSON.stringify(obj), callback, function () {
      return null;
    });
  };

  return Unpack;
}(); // Packs ArrayBuffer into deflated base64 for ClassCAD stream consumption


exports.Unpack = Unpack;

function unpack(object, callback) {
  return Unpack.post(object, callback);
}